Raritan PX2/PX3 JSON-RPC API

Public Member Functions | List of all members
serial::PortDispatcher_1_2_2 Interface Reference

Top-level interface of the serial port manager. More...

`import"PortDispatcher.idl";`

## Public Member Functions
map< string, SerialPort_3_0_1 > | getPorts ()
| Get serial ports. More...

## Detailed Description

Top-level interface of the serial port manager.

## Member Function Documentation

## ◆ getPorts()

map<string, SerialPort_3_0_1> serial::PortDispatcher_1_2_2::getPorts | ( |  | ) |

Get serial ports.

Returns a map of serial ports that are both

- available on the device
- monitored by the system

The mapping is 'symbolic port name' -> 'port instance'.

Returns
  – A map with available port instances

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/PortDispatcher.idl